/*
//*****************************************************************************
/*
*	@(#) TransformGroup_Info.java
*
*	Project:		Java3dTree
*	Client:		Java 3D Community
*
*	Project Information:
*		dselman@tornadolabs.com
*		http://www.tornadolabs.com
*	
*	@author Daniel Selman: dselman@tornadolabs.com
*/
//*****************************************************************************

package com.tornadolabs.j3dtree;
import javax.media.j3d.*;

public class TransformGroup_Info extends Group_Info
{
	private static final int[] 		m_kCapabilityArray = { 	
																				TransformGroup.ALLOW_TRANSFORM_READ
																			};

	public TransformGroup_Info()
	{
	}
	
	public int[] getCapabilityBits()
	{
		return createCompoundArray( m_kCapabilityArray, super.getCapabilityBits() );
	}
	
	java.util.Enumeration getChildren( Object obj )
	{
		Transform3D t3d = new Transform3D();
		TransformGroup tg = (TransformGroup) obj;
		tg.getTransform( t3d );
			
		return createCompoundEnumeration( super.getChildren( obj ), t3d );
	}
	
	public String getInfo( Object obj )
	{
		String szText = super.getInfo( obj );

		szText = insertSectionBreak( szText );
		szText += "TransformGroup\r\n";
				
		return szText;
	}
}